%define name            libwandio
%define version         4.2.2

BuildRoot:              %{_tmppath}/%{name}-%{version}-build
Summary:                libwandio is a software library written in C that provides an API for transparently reading from and writing to files using a variety of supported compression methods.
License:                GPL
URL:                    http://research.wand.net.nz/software/libwandio.php
Name:                   %{name}
Version:                %{version}
Release:                1
#Source:                 http://research.wand.net.nz/software/wandio/wandio-%{version}.tar.gz
Source:                 wandio-%{version}.tar.gz
Packager:               yuri@isi.edu
Prefix:                 /usr
Group:                  System/Libraries
BuildRequires:          gcc-c++ 
#BuildRequires:          bison flex
#BuildRequires:          libpthread
BuildRequires:          zlib-devel bzip2-devel lzo-devel xz-devel
Requires:               zlib bzip2-libs lzo xz-libs

%description
Libwandio is a software library written in C that provides an API for transparently reading from and writing to files using a variety of supported compression methods. Provided pthreads are available, I/O performance will be improved by doing any compression and/or decompression using a separate thread.

%package devel
Summary: 	libwandio development headers
Group: 		System/Libraries
Provides: 	libwandio-devel

%description devel
This package contains necessary header files for libwandio development.

%package tools
Summary:        libwandio tools
Group:          System Environment/Tools
Provides:       libwandio-tools

%description tools
#Helper utilities for use with the libwandio process library.

%prep
%setup -n wandio-%{version}
#%patch1 -p1

%build
./configure --prefix %{_prefix} --libdir=%{_libdir}
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
#%doc COPYING README
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
#%doc COPYING
%{_includedir}/*
#%{_mandir}/man3/*
#%{_libdir}/libpacketdump/*.so
#%{_libdir}/libpacketdump/*.protocol
%{_libdir}/*.so
%{_libdir}/*.a
%exclude %{_libdir}/*.la
%{_bindir}/*

%files tools
%defattr(-,root,root,-)
%doc COPYING
%{_bindir}/*
%{_mandir}/man1/*
